from django.urls import path
from . import views
from django.conf import settings
from django.contrib.auth import views as auth_views
from django.conf.urls.static import static
from .forms import *
from .views import UserLoginView


urlpatterns = [
    path('', views.index, name='index'),
    path('dashboard/', views.dashboard, name='dashboard'),
    path('signup/', views.signup, name='signup'),
    # path('login/',auth_views.LoginView.as_view(template_name='users/login.html', authentication_form=LoginForm), name='login'),
    path('profile/', views.profile, name='profile'),
    path("logout/", views.custom_logout_view, name="logout"),
    path('transactions/', views.transactions , name='transactions'),
    path('transfer/', views.transfer, name='transfer'),
    path('billingaccountdetails/', views.addmoney, name='addmoney'),
    path('transfer/', views.deposit, name='deposit'),
    path('<int:pk>/', views.transaction_details, name='transaction_detail'),
    path(
        "login/", UserLoginView.as_view(),
        name="login"
    ),
    path('accounts/', views.accounts, name='accounts'),
    path('scheduled/', views.scheduled, name='scheduled'),
    
    
    
    path('password/', auth_views.PasswordChangeView.as_view()),
    
    path('activate_account/', views.activate_account, name='activate_account'),
    path('investwealth/', views.investwealth, name='investwealth'),
    path('smallbusiness/', views.smallbusiness, name='smallbusiness'),
    path('commercialbanking/', views.commercialbanking, name='commercialbanking'),
    path('customerservice/', views.customerservice, name='customerservice'),
    path('aboutus/', views.aboutus, name='aboutus'),
    path('corporatebanking/', views.corporatebanking, name='corporatebanking'),
    path('cards/', views.bankcards, name='cards'),
    
    
]+ static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)